package com.cku.dao;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuLoginUser;
import com.cku.model.CkuLoginUserWithBLOBs;

public interface CkuLoginUserMapper {
    int deleteByPrimaryKey(Integer userid);

    int insert(CkuLoginUserWithBLOBs record);

    int insertSelective(CkuLoginUserWithBLOBs record);

    CkuLoginUserWithBLOBs selectByPrimaryKey(Integer userid);

    int updateByPrimaryKeySelective(CkuLoginUserWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuLoginUserWithBLOBs record);

    int updateByPrimaryKey(CkuLoginUser record);
    
    CkuLoginUser seachForNamePwd(@Param("userName")String userName,@Param("pwdMd5")String pwdMd5);
}